<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : fast map.xsl
    Created on : 7. September 2010, 12:31
    Author     : Stephan Freudl
    Description:
        Auto traced path from SVG into MashZone's proprietary vector file.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:svg="http://www.w3.org/2000/svg">
    <xsl:output method="xml" encoding="UTF-8" indent="yes" doctype-system="polygons.dtd" />

    <xsl:template match="/">
        <xsl:element name="polygons">
            <xsl:element name="descriptions">
                <xsl:element name="description">
                    <xsl:attribute name="language">
                        <xsl:value-of select="'en'" />
                    </xsl:attribute>
                    <xsl:attribute name="name">
                        <xsl:value-of select="'France - Paris'" />
                    </xsl:attribute>
                </xsl:element>
                <xsl:element name="description">
                    <xsl:attribute name="language">
                        <xsl:value-of select="'de'" />
                    </xsl:attribute>
                    <xsl:attribute name="name">
                        <xsl:value-of select="'Frankreich - Paris'" />
                    </xsl:attribute>
                </xsl:element>
            </xsl:element>
            
            <!-- http://stackoverflow.com/questions/284094/how-to-select-from-xml-with-namespaces-with-xslt -->
            <xsl:apply-templates select="//svg:path" />
            
        </xsl:element>


    </xsl:template>
    
    <xsl:template match="svg:path">
        <xsl:element name="polygonItem">
            <xsl:element name="polygonName">
                <xsl:value-of select="@id" />
            </xsl:element>
            <xsl:element name="path">
                <xsl:value-of select="@d" />
            </xsl:element>
        </xsl:element>
    </xsl:template>
</xsl:stylesheet>
